Package io.vertx.ext.shell.term

## Class SSHTermOptions

- java.lang.Object
- - io.vertx.ext.shell.term.SSHTermOptions

-     public class SSHTermOptions
      extends Object

  The SSH term configuration options.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_DEFAULT_CHARSET` |
    `static String` | `DEFAULT_HOST` |
    `static String` | `DEFAULT_INPUTRC` |
    `static int` | `DEFAULT_PORT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SSHTermOptions()` |
    `SSHTermOptions​(JsonObject json)` |
    `SSHTermOptions​(SSHTermOptions that)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JsonObject` | `getAuthOptions()` |
    `String` | `getDefaultCharset()` |
    `String` | `getHost()` |
    `String` | `getIntputrc()` |
    `KeyCertOptions` | `getKeyPairOptions()` |
    `int` | `getPort()` |
    `SSHTermOptions` | `setAuthOptions​(JsonObject authOptions)` | Set the auth options.
    `SSHTermOptions` | `setDefaultCharset​(String defaultCharset)` | Set the default charset to use when the client does not specifies one.
    `SSHTermOptions` | `setHost​(String host)` | Set the host
    `SSHTermOptions` | `setIntputrc​(String intputrc)` | The path of the inputrc config.
    `SSHTermOptions` | `setKeyPairOptions​(JksOptions options)` | Set the key pair options in jks format, aka Java keystore.
    `SSHTermOptions` | `setPemKeyPairOptions​(PemKeyCertOptions options)` | Set the key pair store options in pem format.
    `SSHTermOptions` | `setPfxKeyPairOptions​(PfxOptions options)` | Set the key pair options in pfx format.
    `SSHTermOptions` | `setPort​(int port)` | Set the port

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_HOST

          public static final String DEFAULT_HOST

      See Also:
        Constant Field Values

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_DEFAULT_CHARSET

          public static final String DEFAULT_DEFAULT_CHARSET

    - #### DEFAULT_INPUTRC

          public static final String DEFAULT_INPUTRC

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SSHTermOptions

          public SSHTermOptions()

    - #### SSHTermOptions

          public SSHTermOptions​(SSHTermOptions that)

    - #### SSHTermOptions

          public SSHTermOptions​(JsonObject json)

  - ### Method Detail

    - #### getHost

          public String getHost()

      Returns:
        the host

    - #### setHost

          public SSHTermOptions setHost​(String host)

      Set the host
      Parameters:
        `host` - the host
      Returns:
        a reference to this, so the API can be used fluently

    - #### getPort

          public int getPort()

      Returns:
        the port

    - #### setPort

          public SSHTermOptions setPort​(int port)

      Set the port
      Parameters:
        `port` - the port
      Returns:
        a reference to this, so the API can be used fluently

    - #### getKeyPairOptions

          public KeyCertOptions getKeyPairOptions()

      Returns:
        the key pair options

    - #### setKeyPairOptions

          public SSHTermOptions setKeyPairOptions​(JksOptions options)

      Set the key pair options in jks format, aka Java keystore.
      Parameters:
        `options` - the key store in jks format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPfxKeyPairOptions

          public SSHTermOptions setPfxKeyPairOptions​(PfxOptions options)

      Set the key pair options in pfx format.
      Parameters:
        `options` - the key cert options in pfx format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPemKeyPairOptions

          public SSHTermOptions setPemKeyPairOptions​(PemKeyCertOptions options)

      Set the key pair store options in pem format.
      Parameters:
        `options` - the options in pem format
      Returns:
        a reference to this, so the API can be used fluently

    - #### getAuthOptions

          public JsonObject getAuthOptions()

      Returns:
        the auth options

    - #### setAuthOptions

          public SSHTermOptions setAuthOptions​(JsonObject authOptions)

      Set the auth options.
      Parameters:
        `authOptions` - the auth options
      Returns:
        a reference to this, so the API can be used fluently

    - #### getDefaultCharset

          public String getDefaultCharset()

    - #### setDefaultCharset

          public SSHTermOptions setDefaultCharset​(String defaultCharset)

      Set the default charset to use when the client does not specifies one.
      Parameters:
        `defaultCharset` - the default charset
      Returns:
        a reference to this, so the API can be used fluently

    - #### getIntputrc

          public String getIntputrc()

      Returns:
        the current path of the inputrc config

    - #### setIntputrc

          public SSHTermOptions setIntputrc​(String intputrc)

      The path of the inputrc config.
      Parameters:
        `intputrc` - the path of the inputrc config
      Returns:
        a reference to this, so the API can be used fluently